gethostbyname
gethostname
Network Functions
PHP Manual

# gethostbynamel

Get a list of IPv4 addresses corresponding to a given Internet host name

### Description

array gethostbynamel ( string `$hostname` )

Returns a list of IPv4 addresses to which the Internet host specified by `hostname` resolves.

### Parameters

`hostname`

  The host name.

### Return Values

Returns an array of IPv4 addresses or `FALSE` if `hostname` could not be resolved.

### Examples

Example #1 gethostbynamel example

`<?php
$hosts = gethostbynamel('www.example.com');
print_r($hosts);
?>`

The above example will output:

    Array
    (
        [0] => 192.0.34.166
    )

### See Also

- gethostbyname
- gethostbyaddr
- checkdnsrr
- getmxrr
- the named(8) manual page